### Method

# Pango Layout get_log_attrs

#### Declaration [src]

    void
    pango_layout_get_log_attrs (
      PangoLayout* layout,
      PangoLogAttr** attrs,
      gint* n_attrs
    )

#### Description [src]

Retrieves an array of logical attributes for each character in the `layout`.

#### Parameters

`attrs`

  Type: An array of `PangoLogAttr*`

  location to store a pointer to an array of logical attributes. This value must be freed with g_free().

  The argument will be set by the function.
  The length of the array is specified in the `n_attrs` argument.
  The caller of the method takes ownership of the data container, but not the data inside it.

`n_attrs`

  Type: `gint*`

  Location to store the number of the attributes in the array. (The stored value will be one more than the total number of characters in the layout, since there need to be attributes corresponding to both the position before the first character and the position after the last character.)

  The argument will be set by the function.